> ## Documentation Index
> Fetch the complete documentation index at: https://www.activepieces.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Flow Run

> Get Flow Run



## OpenAPI

````yaml GET /v1/flow-runs/{id}
openapi: 3.1.0
info:
  title: Activepieces Documentation
  version: 0.0.0
servers:
  - url: https://cloud.activepieces.com/api
    description: Production Server
security: []
externalDocs:
  url: https://www.activepieces.com/docs
  description: Find more info here
paths:
  /v1/flow-runs/{id}:
    get:
      tags:
        - flow-runs
      description: Get Flow Run
      parameters:
        - schema:
            type: string
            pattern: ^[0-9a-zA-Z]{21}$
          in: path
          name: id
          required: true
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/flow-run'
      security:
        - apiKey: []
components:
  schemas:
    flow-run:
      $schema: https://json-schema.org/draft/2020-12/schema
      $id: '#/components/schemas/flow-run'
      type: object
      properties:
        id:
          type: string
        created:
          type: string
        updated:
          type: string
        projectId:
          type: string
        flowId:
          type: string
        parentRunId:
          type: string
        failParentOnFailure:
          type: boolean
        triggeredBy:
          type: string
        tags:
          type: array
          items:
            type: string
        flowVersionId:
          type: string
        flowVersion:
          type: object
          properties:
            displayName:
              type: string
          additionalProperties: false
        logsFileId:
          anyOf:
            - type: string
            - type: 'null'
        status:
          type: string
          enum:
            - FAILED
            - QUOTA_EXCEEDED
            - INTERNAL_ERROR
            - PAUSED
            - QUEUED
            - RUNNING
            - SUCCEEDED
            - MEMORY_LIMIT_EXCEEDED
            - TIMEOUT
            - CANCELED
            - LOG_SIZE_EXCEEDED
        startTime:
          anyOf:
            - type: string
            - type: 'null'
        finishTime:
          anyOf:
            - type: string
            - type: 'null'
        environment:
          type: string
          enum:
            - PRODUCTION
            - TESTING
        steps:
          anyOf:
            - type: object
              propertyNames:
                type: string
              additionalProperties: {}
            - type: 'null'
        failedStep:
          type: object
          properties:
            name:
              type: string
            displayName:
              type: string
          required:
            - name
            - displayName
          additionalProperties: false
        stepNameToTest:
          type: string
        archivedAt:
          anyOf:
            - type: string
            - type: 'null'
        stepsCount:
          type: number
      required:
        - id
        - created
        - updated
        - projectId
        - flowId
        - failParentOnFailure
        - flowVersionId
        - status
        - environment
      additionalProperties: false
  securitySchemes:
    apiKey:
      type: http
      description: Use your api key generated from the admin console
      scheme: bearer

````